CPIO(1)

NAVN
cpio - kopierer filer til og fra arkiver

SYNOPSIS
cpio {-o|--create} [-0acvABLV] [-C BYTE] [-H FORMAT] [-M BESKED] [-O [[BRUGER@]VÆRT:]ARKIV] [-F [[BRUGER@]VÆRT:]ARKIV] [--file=[[BRUGER@]VÆRT:]ARKIV] [--format=FORMAT] [--message=BESKED] [--null] [--reset-access-time] [--verbose] [--dot] [--append] [--block-size=blokke] [--dereference] [--io-size=BYTE] [--quiet] [--force-local] [--rsh-command=KOMMANDO] < name-list [> arkiv] cpio {-i|--extract} [-bcdfmnrtsuvBSV] [-C BYTE] [-E FIL] [-H FORMAT] [-M BESKED] [-R [BRUGER][:.][GRUPPE]] [-I [[BRUGER@]VÆRT:]ARKIV] [-F [[BRUGER@]VÆRT:]ARKIV] [--file=[[BRUGER@]VÆRT:]ARKIV] [--make-directories] [--nonmatching] [--preserve-modification-time] [--numeric-uid-gid] [--rename] [--list] [--swap-bytes] [--swap] [--dot] [--unconditional] [--verbose] [--block-size=BLOKKE] [--swap-halfwords] [--io-size=BYTE] [--pattern-file=FIL] [--format=FORMAT] [--owner=[USER][:.][GRUPPE]] [--no-preserve-owner] [--message=BESKED] [--force-local] [--no-absolute-filenames] [--sparse] [--only-verify-crc] [--to-stdout] [--quiet] [--rsh-command=KOMMANDO] [mønster...] [< arkiv] cpio {-p|--pass-through} [-0adlmuvLV] [-R [BRUGER][:.][GRUPPE]] [--null] [--reset-access-time] [--make-directories] [--link] [--quiet] [--preserve-modification-time] [--unconditional] [--verbose] [--dot] [--dereference] [--owner=[BRUGER][:.][GRUPPE]] [--no-preserve-owner] [--sparse] destination-directory < name-list cpio {-?|--help|--usage|--version}

FEJLRAPPORTER
Rapporter programfejl til <bug-cpio@gnuorg>. Oversættelsesfejl rapporteres til <dansk@dansk-gruppen.dk>.

Hjemmeside for GNU cpio: <http://www.gnu.org/software/cpio/>

Generel hjælp til GNU-programmer: <http://www.gnu.org/gethelp/>

Rapporter oversættelsesfejl i cpio til <https://translationproject.org/team/da.html>

SE OGSÅ
cpio(5)

BESKRIVELSE
GNU cpio kopierer filer mellem arkiver og mapper. Programmet understøtter de følgende arkivformater: ældre binær cpio, ældre flytbar cpio, SVR4 cpio med og uden kontrolsum, HP cpio og diverse tar-formater.

Operationstilstanden er krævet af et af de følgende tilvalg:

-o, --create
    Copy-out. Læs en liste med filnavne fra standard-ind og opret på standard-ud (med mindre overskrevet af tilvalget --file) et arkiv indeholdende disse filer.

-i, --extract
    Copy-in. Læs arkivet fra standard-ind (eller fra filen angivet med tilvalget --file) og udtræk filer fra dette, eller (hvis tilvalget -t er angivet) vis dets indhold til standard-ud. Hvis et eller flere patterns er angivet, læs eller vis kun filer der matcher disse mønstre. Tilvalget -t indebærer kun -i.

-p, --pass-through
    Pass-through. Læs en list med filnavne fra standard-ind og kopier dem til den angivet mappe.

-?, --help
    Vis en kort hjælpeoversigt og afslut.

--usage
    Vis en kort brugsbesked og afslut.

--version
    Vis programversion og afslut.

FEJLRAPPORTER
Rapporter programfejl til <bug-cpio@gnuorg>. Oversættelsesfejl rapporteres til <dansk@dansk-gruppen.dk>.

Hjemmeside for GNU cpio: <http://www.gnu.org/software/cpio/>

Generel hjælp til GNU-programmer: <http://www.gnu.org/gethelp/>

Rapporter oversættelsesfejl i cpio til <https://translationproject.org/team/da.html>

TILVALG

  Operationsmodifikatorer gyldige i enhver tilstand

--block-size=BLOCK-SIZE
    Angiv I/O-blokstørrelsen til BLOCK-SIZE * 512 byte.

-B  Angiv I/O-blokstørrelsen til 5120 byte.

-c  Brug det ældre flytbare (ASCII) arkivformat. Det er det samme som -H odc.

-C, --io-size=NUMBER
    Angiv I/O-blokstørrelsen til de givne NUMBER byte.

-D, --directory=MAPPE
    Ændr katalog til KAT.

--force-local
    Arkivfil er lokal, selv hvis dennes navn indeholder kolonner.

-H, --format=FORMAT
    Brug givet arkiv FORMAT. Gyldige formater er (nummeret i parentes angiver maksimal størrelse for individuelt arkivmedlem):

    bin Det forældede binære format. (2147483647 byte)

    odc Det ældre (POSIX.1) flytbare format. (8589934591 byte)

    newc
        Det nye (SVR4) flytbare format, der understøtter filsystemer med mere end 65536 i-knuder. (4294967295 byte)

    crc Det nye (SVR4) flytbare format med en kontrol tilføjet.

    tar Det ældre tar-format. (8589934591 byte)

    ustar
        POSIX.1 tar-formatet. Genkender også GNU tar-arkiver, der er lignende men ikke identisk. (8589934591 byte).

    hpbin
        Det forældede binære format brugt af HPUX's cpio (der lagrer enhedsfiler anderledes).

    hpodc
        Det flytbare format brugt af HPUX's cpio (der lagrer enhedsfiler anderledes).

-R, --owner=[BRUGER][:.][GRUPPE]
    I tilstandene copy-in og copy-pass, angiv ejerskab for alle filer oprettet til den angivne BRUGER og/eller GRUPPE. I tilstanden copy-out, lagr den angivne ejerinformation i arkivet. BRUGER og GRUPPE slås først op i systemets bruger- og gruppedatabaser. Hvis ikke fundet, så kontrollerer cpio om de kun består af decimale tal, og hvis det er tilfældet, behandler dem som numriske UID og GID, respektivt. For at undgå opslaget og sikre sig at argumenterne opfattes som numeriske værdier, så sæt et præfiks på dem med et plus-tegn, f.eks.: -R +0:+0.

--quiet
    Udskriv ikke antallet af blokke kopieret i slutningen af kørslen.

--rsh-command=KOMMANDO
    Brug ekstern KOMMANDO i stedet for rsh.

-v, --verbose
    Vis på uddybende vis de behandlede filer.

-V, --dot
    Udskriv et "." for hver fil, der behandles.

-W, --warning=FLAG
    Controlsи warning display. The FLAG is one of none, to disable all warnings, all to enable them, truncate, to enable warnings about field truncation, and no-truncate, to disable them. Tilvalget -W kan gives flere gange.

  Ændringsflag, der gælder i kopier ind- og kopier ud-tilstand

-F, --file=[[BRUGER@]VÆRT:]ARKIVFIL
    Brug denne ARKIVFIL i stedet for standard-ind (i tilstanden copy-in) eller standard-ud (i tilstanden copy-out). Valgfrit kan BRUGER og VÆRT angive brugeren og værtsnavne i tilfælde af et eksternt arkiv.

-M, --message=STRENG
    Udskriv STRENG når slutningen af et arkiv i sikkerhedskopimediet nås.

  Ændringsflag, der kun gælder i kopier ind-tilstand

-b, --swap
    Ombyt både halvord af ord og byte af halvord i dataene. Svarer til -sS.

-f, --nonmatching
    Kopier kun filer, der ikke matcher nogen af de givne mønstre.

-n, --numeric-uid-gid
    Vis numerisk UID og GID i den uddybende indholdsfortegnelse.

-r, --rename
    Omdøb filer interaktivt.

-s, --swap-bytes
    Ombyt byte i hvert halvord i filerne.

-S, --swap-halfwords
    Ombyt halvordene i hvert ord (4 byte) i filerne.

--to-stdout
    Udpak filer til standard-ud.

-E, --pattern-file=FIL
    Læs yderligere mønstre, der angiver filnavne til udpakning eller listevisning, fra FIL.

--only-verify-crc
    Bekræft kun CRC'erne i hver fil i arkivet ved læsning af et CRC-formatarkiv, frem for faktisk at pakke filerne ud.

  Ændringsflag, der kun gælder for kopier ud-tilstand

-A, --append
    Føj til slutningen af et eksisterende arkiv.

--device-independent, --reproducible
    Opret enhedsuafhængige (reproducerbare) arkiver. Dette svarer til --ignore-devno --renumber-inodes.

--ignore-devno
    Gem 0 i enhedens nummerfelt for hvert arkivmedlem, i stedet for det faktiske enhedsnummer.

-O [[BRUGER@]VÆRT:]ARKIVNAVN
    Brug ARKIVNAVN i stedet for standardud. Valgfrit kan BRUGER og VÆRT angive bruger- og værtsnavne i tilfældet med et eksternt arkiv. Arkivnavn for resultatet kan angives med dette tilvalg, eller via -F (--file), men ikke begge.

--renumber-inodes
    Ændring af numre for iknuder (inodes) når de lagres i arkivet.

  Ændringsflag, der kun gælder for kopier gennem-tilstand

-l, --link
    Lænk filer når det er muligt i stedet for at kopiere dem.

  Ændringsflag, der gælder i kopier ind- og kopier ud-tilstand

--absolute-filenames
    Fjern ikke præfikskomponenter for filsystem fra filnavnene. Dette er standard.

--no-absolute-filenames
    Opret alle filer relativt til det nuværende arbejdskatalog.

  Ændringsflag, der gælder i kopier ud- og kopier gennem-tilstand

-0, --null
    Filnavne i listen adskilles af null-tegn frem for linjeskiftstegn.

-a, --reset-access-time
    Nulstil tilgangstider for filer efter de læses.

-I [[BRUGER@]VÆRT:]ARKIVNAVN
    Brug ARKIVNAVN i stedet for standard-ind. Valgfrit kan BRUGER OG VÆRT angive bruger- og værtsnavne i tilfælde af et eksternt arkiv. Arkivnavnet for inddata kan angives med dette tilvalg, eller via -F (--file), men ikke begge.

-L, --dereference
    Fjern reference fra symbolske henvisninger (kopier filerne de peger på i stedet for kopiering af henvisningerne).

  Ændringsflag, der gælder i kopier ind- og kopier gennem-tilstand

-d, --make-directories
    Crea directorios iniciales donde se necesiten.

-m, --preserve-modification-time
    Behold forrige filredigeringstidspunkt, når der oprettes filer.

--no-preserve-owner
    Ændr ikke ejerskab af filerne.

--sparse
    Skriv filer med store blokke af nuller som hullede filer.

-u, --unconditional
    Erstat alle filer ubetinget.

RETURVÆRDI
GNU cpio afsluttes med kode 0, hvis programmet med succes kunne færdiggøre den anmodte operation. Ved fejl afsluttes med kode 2.

SE OGSÅ
tar(1), rmt(8), mt(1).

FEJLRAPPORTER
Rapporter programfejl til <bug-cpio@gnu.org>. Oversættelsesfejl rapporteres til <dansk@dansk-gruppen.dk>.

OPHAVSRET
Copyright © 2014 Free Software Foundation, Inc.
Licens GPLv3+: GNU GPL version 3 eller nyere <http://gnu.org/licenses/gpl.html>.
Dette er et frit program: du kan frit ændre og videredistribuere det. Der gives INGEN GARANTI, i den grad som loven tillader dette.

OVERSÆTTELSE
Oversættere af denne manual til dansk Joe Hansen <joedalton2@yahoo.dk>

Denne oversættelse er gratis dokumentation; læs GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller nyere for ophavsretbetingelser. Der er INGEN ANSVAR.

Hvis du støder på fejl i oversættelsen af ​​denne vejledning, skal du sende en besked til debian-l10n-danish@lists.debian.org.